YEAHCONSOLE(1)

NAME
yeahconsole - drop-down X terminal emulator wrapper

SYNOPSIS

yeahconsole [-h] [-e command]

DESCRIPTION

This manual page documents briefly the yeahconsole command.

This manual page was written for the Debian distribution because the original program does not have a manual page.

yeahconsole is a wrapper for X terminal emulators that provide a drop-down terminal embedding other terminal emulators

OPTIONS

A summary of options is included below. Any other argument is passed to the X terminal emulator.

-h
    Show summary of options and supported xresources.

-e command
    command will be run in the X terminal emulator used. If specified this must be the last option since everything after the -e will be interpreted as the command.

RESOURCES

The resources from the embedded X terminal emulator will be used and are documented in the corresponding manpage for your X terminal emulator. The specific resources for yeahconsole follow:

restart
    0 or 1, 1 should restart the terminal. Default is 0.

term
    terminal to use, valid values: urxvt, urxvtc, xterm. Default is xterm.

screenWidth
    width of the terminal. Default is the display width.

consoleHeight
    number of lines of the console. Default is 10.

xOffset
    x position. Default is set to 0.

aniDelay
    delay for the slide animation. Default is 40.

stepSize
    step size in pixels for the animation 0 will disable the animation. Default is set 1.

handleWidth
    width for the resize handle. Default is 3.

handleColor
    color for the resize handle. Default is grey70.

toggleKey
    key combo that toggles yeahconsole. Default is ControlAlt+y.

keyBigger
    increase height of yeahconsole. Default is Control+KP_Add.

keySmaller
    decrease height of yeahconsole. Default is Control+KP_Subtract.

keyFull
    toggle fullscreen mode. Default is Alt+F11.

SEE ALSO

xterm (1), rxvt (1).

AUTHOR

This manual page was written by Damián Viano <debian@damianv.com.ar> for the Debian system (but may be used by others). Permission is granted to copy, distribute and/or modify this document under the terms of the GNU General Public License, Version 2 any later version published by the Free Software Foundation.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.

COPYRIGHT
Copyright © 2006 Damián Viano